# HG changeset patch
# Node ID 1021cf9877db
# Parent  79a69a5933f3
diff --git a/finch/finchnotifications.c b/finch/finchnotifications.c
--- a/finch/finchnotifications.c
+++ b/finch/finchnotifications.c
@@ -293,7 +293,9 @@
 }
 
 static void
-finch_notifications_open_cb(G_GNUC_UNUSED GntWidget *w, gpointer data) {
+finch_notifications_open_cb(G_GNUC_UNUSED GntWidget *w,
+                            G_GNUC_UNUSED gpointer data)
+{
 	PurpleNotification *notification = NULL;
 
 	notification = gnt_tree_get_selection_data(GNT_TREE(notifications.list));
@@ -305,7 +307,9 @@
 }
 
 static void
-finch_notifications_delete_cb(G_GNUC_UNUSED GntWidget *widget, gpointer data) {
+finch_notifications_delete_cb(G_GNUC_UNUSED GntWidget *widget,
+                              G_GNUC_UNUSED gpointer data)
+{
 	PurpleNotification *notification = NULL;
 
 	notification = gnt_tree_get_selection_data(GNT_TREE(notifications.list));
diff --git a/finch/gntaccount.c b/finch/gntaccount.c
--- a/finch/gntaccount.c
+++ b/finch/gntaccount.c
@@ -527,7 +527,10 @@
 }
 
 static void
-protocol_changed_cb(GntWidget *combo, PurpleProtocol *old, PurpleProtocol *new, AccountEditDialog *dialog)
+protocol_changed_cb(G_GNUC_UNUSED GntWidget *combo,
+                    G_GNUC_UNUSED PurpleProtocol *old,
+                    G_GNUC_UNUSED PurpleProtocol *new,
+                    AccountEditDialog *dialog)
 {
 	update_user_splits(dialog);
 	add_account_options(dialog);
@@ -664,13 +667,13 @@
 }
 
 static void
-add_account_cb(GntWidget *widget, gpointer null)
+add_account_cb(G_GNUC_UNUSED GntWidget *widget, G_GNUC_UNUSED gpointer data)
 {
 	edit_account(NULL);
 }
 
 static void
-modify_account_cb(GntWidget *widget, GntTree *tree)
+modify_account_cb(G_GNUC_UNUSED GntWidget *widget, GntTree *tree)
 {
 	PurpleAccount *account = gnt_tree_get_selection_data(tree);
 	if (!account)
@@ -700,7 +703,7 @@
 }
 
 static void
-delete_account_cb(GntWidget *widget, GntTree *tree)
+delete_account_cb(G_GNUC_UNUSED GntWidget *widget, GntTree *tree)
 {
 	PurpleAccount *account = NULL;
 	PurpleContactInfo *info = NULL;
@@ -724,7 +727,7 @@
 }
 
 static void
-account_toggled(GntWidget *widget, void *key, gpointer null)
+account_toggled(GntWidget *widget, void *key, G_GNUC_UNUSED gpointer data)
 {
 	PurpleAccount *account = key;
 	gboolean enabled = gnt_tree_get_choice(GNT_TREE(widget), key);
@@ -737,7 +740,8 @@
 }
 
 static gboolean
-account_list_key_pressed_cb(GntWidget *widget, const char *text, gpointer null)
+account_list_key_pressed_cb(GntWidget *widget, const char *text,
+                            G_GNUC_UNUSED gpointer data)
 {
 	GntTree *tree = GNT_TREE(widget);
 	PurpleAccountManager *manager = NULL;
@@ -788,7 +792,8 @@
 }
 
 static void
-reset_accounts_win(GntWidget *widget, gpointer null)
+reset_accounts_win(G_GNUC_UNUSED GntWidget *widget,
+                   G_GNUC_UNUSED gpointer data)
 {
 	accounts.window = NULL;
 	accounts.tree = NULL;
diff --git a/finch/gntblist.c b/finch/gntblist.c
--- a/finch/gntblist.c
+++ b/finch/gntblist.c
@@ -384,7 +384,8 @@
 }
 
 static void
-new_node(PurpleBuddyList *list, PurpleBlistNode *node)
+new_node(G_GNUC_UNUSED PurpleBuddyList *list,
+         G_GNUC_UNUSED PurpleBlistNode *node)
 {
 }
 
@@ -509,7 +510,7 @@
 }
 
 static gboolean
-remove_new_empty_group(gpointer data)
+remove_new_empty_group(G_GNUC_UNUSED gpointer data)
 {
 	PurpleBuddyList *list;
 	FinchBuddyList *ggblist;
@@ -529,7 +530,7 @@
 }
 
 static void
-add_buddy_cb(void *data, PurpleRequestFields *allfields)
+add_buddy_cb(G_GNUC_UNUSED gpointer data, PurpleRequestFields *allfields)
 {
 	const char *username = purple_request_fields_get_string(allfields, "screenname");
 	const char *alias = purple_request_fields_get_string(allfields, "alias");
@@ -577,9 +578,9 @@
 }
 
 static void
-finch_request_add_buddy(PurpleBuddyList *list, PurpleAccount *account,
-                        const char *username, const char *grp,
-                        const char *alias)
+finch_request_add_buddy(G_GNUC_UNUSED PurpleBuddyList *list,
+                        PurpleAccount *account, const char *username,
+                        const char *grp, const char *alias)
 {
 	PurpleRequestFields *fields = purple_request_fields_new();
 	PurpleRequestFieldGroup *group = purple_request_field_group_new(NULL);
@@ -635,7 +636,7 @@
 }
 
 static void
-add_chat_cb(void *data, PurpleRequestFields *allfields)
+add_chat_cb(G_GNUC_UNUSED gpointer data, PurpleRequestFields *allfields)
 {
 	PurpleAccount *account;
 	const char *alias, *name, *group;
@@ -679,8 +680,9 @@
 }
 
 static void
-finch_request_add_chat(PurpleBuddyList *list, PurpleAccount *account,
-                       PurpleGroup *grp, const char *alias, const char *name)
+finch_request_add_chat(G_GNUC_UNUSED PurpleBuddyList *list,
+                       PurpleAccount *account, PurpleGroup *grp,
+                       const char *alias, const char *name)
 {
 	PurpleRequestFields *fields = purple_request_fields_new();
 	PurpleRequestFieldGroup *group = purple_request_field_group_new(NULL);
@@ -911,7 +913,7 @@
 }
 
 static void
-selection_activate(GntWidget *widget, FinchBuddyList *ggblist)
+selection_activate(G_GNUC_UNUSED GntWidget *widget, FinchBuddyList *ggblist)
 {
 	GntTree *tree = GNT_TREE(ggblist->tree);
 	PurpleBlistNode *node = gnt_tree_get_selection_data(tree);
@@ -1005,7 +1007,7 @@
 }
 
 static void
-chat_components_edit(PurpleBlistNode *selected, PurpleChat *chat)
+chat_components_edit(G_GNUC_UNUSED PurpleBlistNode *selected, PurpleChat *chat)
 {
 	PurpleRequestFields *fields = purple_request_fields_new();
 	PurpleRequestFieldGroup *group = purple_request_field_group_new(NULL);
@@ -1080,19 +1082,20 @@
 }
 
 static void
-finch_add_buddy(PurpleBlistNode *selected, PurpleGroup *grp)
+finch_add_buddy(G_GNUC_UNUSED PurpleBlistNode *selected, PurpleGroup *grp)
 {
 	purple_blist_request_add_buddy(NULL, NULL, grp ? purple_group_get_name(grp) : NULL, NULL);
 }
 
 static void
-finch_add_group(PurpleBlistNode *selected, PurpleGroup *grp)
+finch_add_group(G_GNUC_UNUSED PurpleBlistNode *selected,
+                G_GNUC_UNUSED PurpleGroup *grp)
 {
 	purple_blist_request_add_group();
 }
 
 static void
-finch_add_chat(PurpleBlistNode *selected, PurpleGroup *grp)
+finch_add_chat(G_GNUC_UNUSED PurpleBlistNode *selected, PurpleGroup *grp)
 {
 	purple_blist_request_add_chat(NULL, grp, NULL, NULL);
 }
@@ -1132,19 +1135,21 @@
 }
 
 static void
-finch_blist_get_buddy_info_cb(PurpleBlistNode *selected, PurpleBuddy *buddy)
+finch_blist_get_buddy_info_cb(G_GNUC_UNUSED PurpleBlistNode *selected,
+                              PurpleBuddy *buddy)
 {
 	finch_retrieve_user_info(purple_account_get_connection(purple_buddy_get_account(buddy)), purple_buddy_get_name(buddy));
 }
 
 static void
-finch_blist_menu_send_file_cb(PurpleBlistNode *selected, PurpleBuddy *buddy)
+finch_blist_menu_send_file_cb(G_GNUC_UNUSED PurpleBlistNode *selected,
+                              PurpleBuddy *buddy)
 {
 	purple_serv_send_file(purple_account_get_connection(purple_buddy_get_account(buddy)), purple_buddy_get_name(buddy), NULL);
 }
 
 static void
-toggle_show_offline(GntMenuItem *item, gpointer buddy)
+toggle_show_offline(G_GNUC_UNUSED GntMenuItem *item, gpointer buddy)
 {
 	purple_blist_node_set_bool(buddy, "show_offline",
 			!purple_blist_node_get_bool(buddy, "show_offline"));
@@ -1246,7 +1251,8 @@
 }
 
 static void
-finch_blist_rename_node_cb(PurpleBlistNode *selected, PurpleBlistNode *node)
+finch_blist_rename_node_cb(G_GNUC_UNUSED PurpleBlistNode *selected,
+                           PurpleBlistNode *node)
 {
 	const char *name = NULL;
 	char *prompt;
@@ -1332,7 +1338,8 @@
 }
 
 static void
-finch_blist_remove_node_cb(PurpleBlistNode *selected, PurpleBlistNode *node)
+finch_blist_remove_node_cb(G_GNUC_UNUSED PurpleBlistNode *selected,
+                           PurpleBlistNode *node)
 {
 	PurpleAccount *account = NULL;
 	char *primary;
@@ -1457,7 +1464,8 @@
 }
 
 static void
-context_menu_destroyed(GntWidget *widget, FinchBuddyList *ggblist)
+context_menu_destroyed(G_GNUC_UNUSED GntWidget *widget,
+                       FinchBuddyList *ggblist)
 {
 	ggblist->context = NULL;
 }
@@ -1699,22 +1707,23 @@
 }
 
 static void
-selection_changed(GntWidget *widget, gpointer old, gpointer current,
-                  FinchBuddyList *ggblist)
+selection_changed(G_GNUC_UNUSED GntWidget *widget, G_GNUC_UNUSED gpointer old,
+                  G_GNUC_UNUSED gpointer current, FinchBuddyList *ggblist)
 {
 	remove_peripherals(ggblist);
 	draw_tooltip(ggblist);
 }
 
 static gboolean
-context_menu(GntWidget *widget, FinchBuddyList *ggblist)
+context_menu(G_GNUC_UNUSED GntWidget *widget, FinchBuddyList *ggblist)
 {
 	draw_context_menu(ggblist);
 	return TRUE;
 }
 
 static gboolean
-key_pressed(GntWidget *widget, const char *text, FinchBuddyList *ggblist)
+key_pressed(G_GNUC_UNUSED GntWidget *widget, const char *text,
+            FinchBuddyList *ggblist)
 {
 	if (text[0] == 27 && text[1] == 0) {
 		/* Escape was pressed */
@@ -1767,15 +1776,15 @@
 }
 
 static void
-buddy_status_changed(PurpleBuddy *buddy, PurpleStatus *old, PurpleStatus *now,
-                     FinchBuddyList *ggblist)
+buddy_status_changed(PurpleBuddy *buddy, G_GNUC_UNUSED PurpleStatus *old,
+                     G_GNUC_UNUSED PurpleStatus *now, FinchBuddyList *ggblist)
 {
 	update_buddy_display(buddy, ggblist);
 }
 
 static void
-buddy_idle_changed(PurpleBuddy *buddy, int old, int new,
-                   FinchBuddyList *ggblist)
+buddy_idle_changed(PurpleBuddy *buddy, G_GNUC_UNUSED int old,
+                   G_GNUC_UNUSED int new, FinchBuddyList *ggblist)
 {
 	update_buddy_display(buddy, ggblist);
 }
@@ -1790,7 +1799,7 @@
 }
 
 static void
-size_changed_cb(GntWidget *w, int wi, int h)
+size_changed_cb(GntWidget *w, G_GNUC_UNUSED int wi, G_GNUC_UNUSED int h)
 {
 	int width, height;
 	gnt_widget_get_size(w, &width, &height);
@@ -1799,14 +1808,15 @@
 }
 
 static void
-save_position_cb(GntWidget *w, int x, int y)
+save_position_cb(G_GNUC_UNUSED GntWidget *w, int x, int y)
 {
 	purple_prefs_set_int(PREF_ROOT "/position/x", x);
 	purple_prefs_set_int(PREF_ROOT "/position/y", y);
 }
 
 static void
-reset_blist_window(GntWidget *window, gpointer null)
+reset_blist_window(G_GNUC_UNUSED GntWidget *window,
+                   G_GNUC_UNUSED gpointer data)
 {
 	purple_signals_disconnect_by_handle(finch_blist_get_handle());
 
@@ -1913,7 +1923,8 @@
 }
 
 static void
-redraw_blist(const char *name, PurplePrefType type, gconstpointer val, gpointer data)
+redraw_blist(G_GNUC_UNUSED const char *name, G_GNUC_UNUSED PurplePrefType type,
+             G_GNUC_UNUSED gconstpointer val, G_GNUC_UNUSED gpointer data)
 {
 	PurpleBlistNode *sel;
 	FinchBlistManager *manager;
@@ -1995,7 +2006,7 @@
 }
 
 static gboolean
-remove_typing_cb(gpointer null)
+remove_typing_cb(G_GNUC_UNUSED gpointer data)
 {
 	PurpleSavedStatus *current;
 	const char *message, *newmessage;
@@ -2047,7 +2058,10 @@
 }
 
 static void
-status_selection_changed(GntComboBox *box, StatusBoxItem *old, StatusBoxItem *now, gpointer null)
+status_selection_changed(G_GNUC_UNUSED GntComboBox *box,
+                         G_GNUC_UNUSED StatusBoxItem *old,
+                         StatusBoxItem *now,
+                         G_GNUC_UNUSED gpointer data)
 {
 	gnt_entry_set_text(GNT_ENTRY(ggblist->statustext), NULL);
 	if (now->type == STATUS_SAVED_POPULAR)
@@ -2080,7 +2094,8 @@
 }
 
 static gboolean
-status_text_changed(GntEntry *entry, const char *text, gpointer null)
+status_text_changed(G_GNUC_UNUSED GntEntry *entry, const char *text,
+                    G_GNUC_UNUSED gpointer data)
 {
 	if ((text[0] == 27 || (text[0] == '\t' && text[1] == '\0')) && ggblist->typing == 0)
 		return FALSE;
@@ -2101,7 +2116,8 @@
 }
 
 static void
-savedstatus_changed(PurpleSavedStatus *now, PurpleSavedStatus *old)
+savedstatus_changed(PurpleSavedStatus *now,
+                    G_GNUC_UNUSED PurpleSavedStatus *old)
 {
 	GList *list;
 	PurpleStatusPrimitive prim;
@@ -2223,7 +2239,7 @@
 }
 
 static void
-plugin_action(GntMenuItem *item, gpointer data)
+plugin_action(G_GNUC_UNUSED GntMenuItem *item, G_GNUC_UNUSED gpointer data)
 {
 	/* TODO: Convert to GAction/GMenu. */
 #if 0
@@ -2234,7 +2250,8 @@
 }
 
 static void
-build_plugin_actions(GntMenuItem *item, PurplePlugin *plugin)
+build_plugin_actions(G_GNUC_UNUSED GntMenuItem *item,
+                     G_GNUC_UNUSED PurplePlugin *plugin)
 {
 	/* TODO: port to GAction/GMenu. */
 #if 0
@@ -2264,7 +2281,7 @@
 }
 
 static void
-protocol_action(GntMenuItem *item, gpointer data)
+protocol_action(G_GNUC_UNUSED GntMenuItem *item, G_GNUC_UNUSED gpointer data)
 {
 	PurpleProtocolAction *action = data;
 	if (action && action->callback)
@@ -2272,8 +2289,9 @@
 }
 
 static void
-build_protocol_actions(GntMenuItem *item, PurpleProtocol *protocol,
-		PurpleConnection *gc)
+build_protocol_actions(G_GNUC_UNUSED GntMenuItem *item,
+                       G_GNUC_UNUSED PurpleProtocol *protocol,
+                       G_GNUC_UNUSED PurpleConnection *gc)
 {
 	/* TODO: port to PurpleProtocolActions. */
 #if 0
@@ -2341,7 +2359,7 @@
 }
 
 static void
-buddy_signed_on_off(PurpleBuddy* buddy, gpointer null)
+buddy_signed_on_off(PurpleBuddy* buddy, G_GNUC_UNUSED gpointer data)
 {
 	g_idle_add(buddy_signed_on_off_cb, buddy);
 }
@@ -2382,8 +2400,9 @@
 }
 
 static void
-reconstruct_plugins_menu_cb(GObject *plugin_manager, GPluginPlugin *plugin,
-                            gpointer data)
+reconstruct_plugins_menu_cb(G_GNUC_UNUSED GObject *plugin_manager,
+                            G_GNUC_UNUSED GPluginPlugin *plugin,
+                            G_GNUC_UNUSED gpointer data)
 {
 	reconstruct_plugins_menu();
 }
@@ -2473,25 +2492,25 @@
 }
 
 static gboolean
-account_autojoin_cb(PurpleConnection *gc, gpointer null)
+account_autojoin_cb(PurpleConnection *gc, G_GNUC_UNUSED gpointer data)
 {
 	g_idle_add(auto_join_chats, gc);
 	return TRUE;
 }
 
-static void toggle_pref_cb(GntMenuItem *item, gpointer n)
+static void toggle_pref_cb(G_GNUC_UNUSED GntMenuItem *item, gpointer n)
 {
 	purple_prefs_set_bool(n, !purple_prefs_get_bool(n));
 }
 
-static void sort_blist_change_cb(GntMenuItem *item, gpointer n)
+static void sort_blist_change_cb(G_GNUC_UNUSED GntMenuItem *item, gpointer n)
 {
 	purple_prefs_set_string(PREF_ROOT "/sort_type", n);
 }
 
 /* send_im_select* -- Xerox */
 static void
-send_im_select_cb(gpointer data, PurpleRequestFields *fields)
+send_im_select_cb(G_GNUC_UNUSED gpointer data, PurpleRequestFields *fields)
 {
 	PurpleAccount *account;
 	const char *username;
@@ -2505,7 +2524,7 @@
 }
 
 static void
-send_im_select(GntMenuItem *item, gpointer n)
+send_im_select(G_GNUC_UNUSED GntMenuItem *item, G_GNUC_UNUSED gpointer n)
 {
 	PurpleRequestFields *fields;
 	PurpleRequestFieldGroup *group;
@@ -2538,7 +2557,7 @@
 }
 
 static void
-join_chat_select_cb(gpointer data, PurpleRequestFields *fields)
+join_chat_select_cb(G_GNUC_UNUSED gpointer data, PurpleRequestFields *fields)
 {
 	PurpleAccount *account;
 	const char *name;
@@ -2581,7 +2600,7 @@
 }
 
 static void
-join_chat_select(GntMenuItem *item, gpointer n)
+join_chat_select(G_GNUC_UNUSED GntMenuItem *item, G_GNUC_UNUSED gpointer n)
 {
 	PurpleRequestFields *fields;
 	PurpleRequestFieldGroup *group;
@@ -2612,25 +2631,25 @@
 }
 
 static void
-menu_add_buddy_cb(GntMenuItem *item, gpointer null)
+menu_add_buddy_cb(G_GNUC_UNUSED GntMenuItem *item, G_GNUC_UNUSED gpointer data)
 {
 	purple_blist_request_add_buddy(NULL, NULL, NULL, NULL);
 }
 
 static void
-menu_add_chat_cb(GntMenuItem *item, gpointer null)
+menu_add_chat_cb(G_GNUC_UNUSED GntMenuItem *item, G_GNUC_UNUSED gpointer data)
 {
 	purple_blist_request_add_chat(NULL, NULL, NULL, NULL);
 }
 
 static void
-menu_add_group_cb(GntMenuItem *item, gpointer null)
+menu_add_group_cb(G_GNUC_UNUSED GntMenuItem *item, G_GNUC_UNUSED gpointer data)
 {
 	purple_blist_request_add_group();
 }
 
 static void
-menu_group_set_cb(GntMenuItem *item, gpointer null)
+menu_group_set_cb(GntMenuItem *item, G_GNUC_UNUSED gpointer data)
 {
 	const char *id = g_object_get_data(G_OBJECT(item), "grouping-id");
 	purple_prefs_set_string(PREF_ROOT "/grouping", id);
@@ -2744,14 +2763,15 @@
 }
 
 static void
-group_collapsed(GntWidget *widget, PurpleBlistNode *node, gboolean collapsed, gpointer null)
+group_collapsed(G_GNUC_UNUSED GntWidget *widget, PurpleBlistNode *node,
+                gboolean collapsed, G_GNUC_UNUSED gpointer data)
 {
 	if (PURPLE_IS_GROUP(node))
 		purple_blist_node_set_bool(node, "collapsed", collapsed);
 }
 
 static void
-blist_show(PurpleBuddyList *list)
+blist_show(G_GNUC_UNUSED PurpleBuddyList *list)
 {
 	GPluginManager *plugin_manager = NULL;
 
diff --git a/finch/gntconn.c b/finch/gntconn.c
--- a/finch/gntconn.c
+++ b/finch/gntconn.c
@@ -83,8 +83,9 @@
 }
 
 static void
-finch_connection_report_disconnect(PurpleConnection *gc, PurpleConnectionError reason,
-		const char *text)
+finch_connection_report_disconnect(PurpleConnection *gc,
+                                   PurpleConnectionError reason,
+                                   G_GNUC_UNUSED const char *text)
 {
 	FinchAutoRecon *info;
 	PurpleAccount *account = purple_connection_get_account(gc);
diff --git a/finch/gntconv.c b/finch/gntconv.c
--- a/finch/gntconv.c
+++ b/finch/gntconv.c
@@ -64,7 +64,7 @@
 }
 
 static void
-send_typing_notification(GntWidget *w, FinchConv *ggconv)
+send_typing_notification(G_GNUC_UNUSED GntWidget *w, FinchConv *ggconv)
 {
 	const char *text = gnt_entry_get_text(GNT_ENTRY(ggconv->entry));
 	gboolean empty = (!text || !*text || (*text == '/'));
@@ -95,7 +95,7 @@
 }
 
 static void
-entry_key_pressed(GntWidget *w, FinchConv *ggconv)
+entry_key_pressed(G_GNUC_UNUSED GntWidget *w, FinchConv *ggconv)
 {
 	const char *text = gnt_entry_get_text(GNT_ENTRY(ggconv->entry));
 	if (*text == '/' && *(text + 1) != '/')
@@ -164,7 +164,7 @@
 }
 
 static void
-closing_window(GntWidget *window, FinchConv *ggconv)
+closing_window(G_GNUC_UNUSED GntWidget *window, FinchConv *ggconv)
 {
 	GList *list = ggconv->list;
 	ggconv->window = NULL;
@@ -176,7 +176,8 @@
 }
 
 static void
-size_changed_cb(GntWidget *widget, int width, int height)
+size_changed_cb(GntWidget *widget, G_GNUC_UNUSED int width,
+                G_GNUC_UNUSED int height)
 {
 	int w, h;
 	gnt_widget_get_size(widget, &w, &h);
@@ -185,7 +186,7 @@
 }
 
 static void
-save_position_cb(GntWidget *w, int x, int y)
+save_position_cb(G_GNUC_UNUSED GntWidget *w, int x, int y)
 {
 	purple_prefs_set_int(PREF_ROOT "/position/x", x);
 	purple_prefs_set_int(PREF_ROOT "/position/y", y);
@@ -243,7 +244,8 @@
 }
 
 static void
-update_buddy_typing(PurpleAccount *account, const char *who, gpointer null)
+update_buddy_typing(PurpleAccount *account, const char *who,
+                    G_GNUC_UNUSED gpointer data)
 {
 	FinchConv *ggc;
 	PurpleConversation *conv;
@@ -286,14 +288,14 @@
 }
 
 static void
-chat_left_cb(PurpleConversation *conv, gpointer null)
+chat_left_cb(PurpleConversation *conv, G_GNUC_UNUSED gpointer data)
 {
 	purple_conversation_write_system_message(conv,
 		_("You have left this chat."), 0);
 }
 
 static void
-buddy_signed_on_off(PurpleBuddy *buddy, gpointer null)
+buddy_signed_on_off(PurpleBuddy *buddy, G_GNUC_UNUSED gpointer data)
 {
 	PurpleConversation *im = find_im_with_contact(purple_buddy_get_account(buddy), purple_buddy_get_name(buddy));
 	if (im == NULL)
@@ -302,7 +304,7 @@
 }
 
 static void
-account_signed_on_off(PurpleConnection *gc, gpointer null)
+account_signed_on_off(PurpleConnection *gc, G_GNUC_UNUSED gpointer data)
 {
 	PurpleConversationManager *manager;
 	GList *list, *l;
@@ -418,7 +420,8 @@
 }
 
 static void
-cleared_message_history_cb(PurpleConversation *conv, gpointer data)
+cleared_message_history_cb(PurpleConversation *conv,
+                           G_GNUC_UNUSED gpointer data)
 {
 	FinchConv *ggc = FINCH_CONV(conv);
 	if (ggc)
@@ -461,14 +464,14 @@
 }
 
 static void
-clear_scrollback_cb(GntMenuItem *item, gpointer ggconv)
+clear_scrollback_cb(G_GNUC_UNUSED GntMenuItem *item, gpointer ggconv)
 {
 	FinchConv *ggc = ggconv;
 	purple_conversation_clear_message_history(ggc->active_conv);
 }
 
 static void
-send_file_cb(GntMenuItem *item, gpointer ggconv)
+send_file_cb(G_GNUC_UNUSED GntMenuItem *item, gpointer ggconv)
 {
 	FinchConv *ggc = ggconv;
 	purple_serv_send_file(purple_conversation_get_connection(ggc->active_conv),
@@ -476,7 +479,7 @@
 }
 
 static void
-get_info_cb(GntMenuItem *item, gpointer ggconv)
+get_info_cb(G_GNUC_UNUSED GntMenuItem *item, gpointer ggconv)
 {
 	FinchConv *ggc = ggconv;
 	finch_retrieve_user_info(purple_conversation_get_connection(ggc->active_conv),
@@ -484,14 +487,15 @@
 }
 
 static void
-toggle_timestamps_cb(GntMenuItem *item, gpointer ggconv)
+toggle_timestamps_cb(G_GNUC_UNUSED GntMenuItem *item,
+                     G_GNUC_UNUSED gpointer data)
 {
 	purple_prefs_set_bool(PREF_ROOT "/timestamps",
 		!purple_prefs_get_bool(PREF_ROOT "/timestamps"));
 }
 
 static void
-send_to_cb(GntMenuItem *m, gpointer n)
+send_to_cb(GntMenuItem *m, G_GNUC_UNUSED gpointer n)
 {
 	PurpleAccount *account = g_object_get_data(G_OBJECT(m), "purple_account");
 	gchar *buddy = g_object_get_data(G_OBJECT(m), "purple_buddy_name");
@@ -552,7 +556,7 @@
 }
 
 static void
-invite_cb(GntMenuItem *item, gpointer ggconv)
+invite_cb(G_GNUC_UNUSED GntMenuItem *item, gpointer ggconv)
 {
 	FinchConv *fc = ggconv;
 	PurpleChatConversation *chat = PURPLE_CHAT_CONVERSATION(fc->active_conv);
@@ -560,7 +564,8 @@
 }
 
 static void
-plugin_changed_cb(GObject *plugin_manager, GPluginPlugin *p, gpointer data)
+plugin_changed_cb(G_GNUC_UNUSED GObject *plugin_manager,
+                  G_GNUC_UNUSED GPluginPlugin *p, gpointer data)
 {
 	gg_extended_menu(data);
 }
@@ -655,7 +660,7 @@
 }
 
 static void
-gained_focus_cb(GntWindow *window, FinchConv *fc)
+gained_focus_cb(G_GNUC_UNUSED GntWindow *window, FinchConv *fc)
 {
 	GList *iter;
 	for (iter = fc->list; iter; iter = iter->next) {
@@ -693,8 +698,10 @@
 }
 
 static void
-cmd_added_cb(const char *cmd, PurpleCmdPriority prior, PurpleCmdFlag flags,
-		FinchConv *fconv)
+cmd_added_cb(G_GNUC_UNUSED const char *cmd,
+             G_GNUC_UNUSED PurpleCmdPriority prior,
+             G_GNUC_UNUSED PurpleCmdFlag flags,
+             FinchConv *fconv)
 {
 	gg_setup_commands(fconv, TRUE);
 }
@@ -1092,8 +1099,9 @@
 
 /* Xerox */
 static PurpleCmdRet
-say_command_cb(PurpleConversation *conv,
-              const char *cmd, char **args, char **error, void *data)
+say_command_cb(PurpleConversation *conv, G_GNUC_UNUSED const char *cmd,
+               char **args, G_GNUC_UNUSED char **error,
+               G_GNUC_UNUSED gpointer data)
 {
 	purple_conversation_send(conv, args[0]);
 
@@ -1102,8 +1110,9 @@
 
 /* Xerox */
 static PurpleCmdRet
-me_command_cb(PurpleConversation *conv,
-              const char *cmd, char **args, char **error, void *data)
+me_command_cb(PurpleConversation *conv, G_GNUC_UNUSED const char *cmd,
+              char **args, G_GNUC_UNUSED char **error,
+              G_GNUC_UNUSED gpointer data)
 {
 	char *tmp;
 
@@ -1116,8 +1125,9 @@
 
 /* Xerox */
 static PurpleCmdRet
-debug_command_cb(PurpleConversation *conv,
-                 const char *cmd, char **args, char **error, void *data)
+debug_command_cb(PurpleConversation *conv, G_GNUC_UNUSED const char *cmd,
+                 char **args, G_GNUC_UNUSED char **error,
+                 G_GNUC_UNUSED gpointer data)
 {
 	char *tmp, *markup;
 
@@ -1166,8 +1176,9 @@
 
 /* Xerox */
 static PurpleCmdRet
-clear_command_cb(PurpleConversation *conv,
-                 const char *cmd, char **args, char **error, void *data)
+clear_command_cb(PurpleConversation *conv, G_GNUC_UNUSED const char *cmd,
+                 G_GNUC_UNUSED char **args, G_GNUC_UNUSED char **error,
+                 G_GNUC_UNUSED gpointer data)
 {
 	purple_conversation_clear_message_history(conv);
 	return PURPLE_CMD_RET_OK;
@@ -1175,8 +1186,9 @@
 
 /* Xerox */
 static PurpleCmdRet
-help_command_cb(PurpleConversation *conv,
-                 const char *cmd, char **args, char **error, void *data)
+help_command_cb(PurpleConversation *conv, G_GNUC_UNUSED const char *cmd,
+                char **args, G_GNUC_UNUSED char **error,
+                G_GNUC_UNUSED gpointer data)
 {
 	GList *l, *text;
 	GString *s;
@@ -1215,7 +1227,9 @@
 }
 
 static PurpleCmdRet
-cmd_show_window(PurpleConversation *conv, const char *cmd, char **args, char **error, gpointer data)
+cmd_show_window(G_GNUC_UNUSED PurpleConversation *conv,
+                G_GNUC_UNUSED const char *cmd, G_GNUC_UNUSED char **args,
+                G_GNUC_UNUSED char **error, gpointer data)
 {
 	void (*callback)(void) = data;
 	callback();
@@ -1223,7 +1237,9 @@
 }
 
 static PurpleCmdRet
-cmd_message_color(PurpleConversation *conv, const char *cmd, char **args, char **error, gpointer data)
+cmd_message_color(G_GNUC_UNUSED PurpleConversation *conv,
+                  G_GNUC_UNUSED const char *cmd, char **args, char **error,
+                  G_GNUC_UNUSED gpointer data)
 {
 	int *msgclass  = NULL;
 	int fg, bg;
@@ -1264,7 +1280,9 @@
 }
 
 static PurpleCmdRet
-users_command_cb(PurpleConversation *conv, const char *cmd, char **args, char **error, gpointer data)
+users_command_cb(PurpleConversation *conv, G_GNUC_UNUSED const char *cmd,
+                 G_GNUC_UNUSED char **args, G_GNUC_UNUSED char **error,
+                 G_GNUC_UNUSED gpointer data)
 {
 	FinchConv *fc = FINCH_CONV(conv);
 	FinchConvChat *ch;
diff --git a/finch/gntdebug.c b/finch/gntdebug.c
--- a/finch/gntdebug.c
+++ b/finch/gntdebug.c
@@ -45,7 +45,8 @@
 };
 
 static gboolean
-handle_fprintf_stderr_cb(GIOChannel *source, GIOCondition cond, gpointer null)
+handle_fprintf_stderr_cb(GIOChannel *source, G_GNUC_UNUSED GIOCondition cond,
+                         G_GNUC_UNUSED gpointer data)
 {
 	gssize size;
 	char message[1024];
@@ -98,13 +99,13 @@
 } debug;
 
 static void
-reset_debug_win(GntWidget *w, gpointer null)
+reset_debug_win(G_GNUC_UNUSED GntWidget *w, G_GNUC_UNUSED gpointer data)
 {
 	debug.window = debug.tview = debug.search = NULL;
 }
 
 static void
-clear_debug_win(GntWidget *w, GntTextView *tv)
+clear_debug_win(G_GNUC_UNUSED GntWidget *w, GntTextView *tv)
 {
 	gnt_text_view_clear(tv);
 }
@@ -116,7 +117,7 @@
 }
 
 static void
-toggle_pause(GntWidget *w, gpointer n)
+toggle_pause(G_GNUC_UNUSED GntWidget *w, G_GNUC_UNUSED gpointer n)
 {
 	debug.paused = !debug.paused;
 }
@@ -203,7 +204,8 @@
 }
 
 static void
-size_changed_cb(GntWidget *widget, int oldw, int oldh)
+size_changed_cb(GntWidget *widget, G_GNUC_UNUSED int oldw,
+                G_GNUC_UNUSED int oldh)
 {
 	int w, h;
 	gnt_widget_get_size(widget, &w, &h);
@@ -219,7 +221,7 @@
 }
 
 static void
-update_filter_string(GntEntry *entry, gpointer null)
+update_filter_string(GntEntry *entry, G_GNUC_UNUSED gpointer data)
 {
 	int id = g_timeout_add_seconds(1, for_real, entry);
 	g_object_set_data_full(G_OBJECT(entry), "update-filter", GINT_TO_POINTER(id),
@@ -227,7 +229,8 @@
 }
 
 static void
-file_save(GntFileSel *fs, const char *path, const char *file, GntTextView *tv)
+file_save(GntFileSel *fs, const char *path, G_GNUC_UNUSED const char *file,
+          GntTextView *tv)
 {
 	FILE *fp;
 	GDateTime *date = NULL;
@@ -251,7 +254,7 @@
 }
 
 static void
-save_debug_win(GntWidget *w, GntTextView *tv)
+save_debug_win(G_GNUC_UNUSED GntWidget *w, GntTextView *tv)
 {
 	GntWidget *window = gnt_file_sel_new();
 	GntFileSel *sel = GNT_FILE_SEL(window);
diff --git a/finch/gntidle.c b/finch/gntidle.c
--- a/finch/gntidle.c
+++ b/finch/gntidle.c
@@ -30,7 +30,7 @@
  * PurpleIdleUi implementation
  *****************************************************************************/
 static time_t
-finch_idle_get_idle_time(PurpleIdleUi *ui) {
+finch_idle_get_idle_time(G_GNUC_UNUSED PurpleIdleUi *ui) {
 	return gnt_wm_get_idle_time();
 }
 
@@ -54,11 +54,11 @@
 );
 
 static void
-finch_idle_init(FinchIdle *idle) {
+finch_idle_init(G_GNUC_UNUSED FinchIdle *idle) {
 }
 
 static void
-finch_idle_class_init(FinchIdleClass *klass) {
+finch_idle_class_init(G_GNUC_UNUSED FinchIdleClass *klass) {
 }
 
 /******************************************************************************
diff --git a/finch/gntmedia.c b/finch/gntmedia.c
--- a/finch/gntmedia.c
+++ b/finch/gntmedia.c
@@ -138,7 +138,8 @@
 }
 
 static void
-finch_media_connected_cb(PurpleMedia *media, FinchMedia *gntmedia)
+finch_media_connected_cb(G_GNUC_UNUSED PurpleMedia *media,
+                         FinchMedia *gntmedia)
 {
 	GntWidget *parent;
 
@@ -161,7 +162,7 @@
 }
 
 static void
-finch_media_wait_cb(PurpleMedia *media, FinchMedia *gntmedia)
+finch_media_wait_cb(G_GNUC_UNUSED PurpleMedia *media, FinchMedia *gntmedia)
 {
 	GntWidget *parent;
 
@@ -227,8 +228,12 @@
 }
 
 static void
-finch_media_stream_info_cb(PurpleMedia *media, PurpleMediaInfoType type,
-		gchar *sid, gchar *name, gboolean local, FinchMedia *gntmedia)
+finch_media_stream_info_cb(G_GNUC_UNUSED PurpleMedia *media,
+                           PurpleMediaInfoType type,
+                           G_GNUC_UNUSED gchar *sid,
+                           G_GNUC_UNUSED gchar *name,
+                           G_GNUC_UNUSED gboolean local,
+                           FinchMedia *gntmedia)
 {
 	if (type == PURPLE_MEDIA_INFO_REJECT) {
 		finch_media_emit_message(gntmedia,
@@ -237,21 +242,21 @@
 }
 
 static void
-finch_media_accept_cb(PurpleMedia *media, GntWidget *widget)
+finch_media_accept_cb(PurpleMedia *media, G_GNUC_UNUSED GntWidget *widget)
 {
 	purple_media_stream_info(media, PURPLE_MEDIA_INFO_ACCEPT,
 			NULL, NULL, TRUE);
 }
 
 static void
-finch_media_hangup_cb(PurpleMedia *media, GntWidget *widget)
+finch_media_hangup_cb(PurpleMedia *media, G_GNUC_UNUSED GntWidget *widget)
 {
 	purple_media_stream_info(media, PURPLE_MEDIA_INFO_HANGUP,
 			NULL, NULL, TRUE);
 }
 
 static void
-finch_media_reject_cb(PurpleMedia *media, GntWidget *widget)
+finch_media_reject_cb(PurpleMedia *media, G_GNUC_UNUSED GntWidget *widget)
 {
 	purple_media_stream_info(media, PURPLE_MEDIA_INFO_REJECT,
 			NULL, NULL, TRUE);
@@ -317,7 +322,8 @@
 }
 
 static void
-gntmedia_message_cb(FinchMedia *gntmedia, const char *msg, PurpleConversation *conv)
+gntmedia_message_cb(G_GNUC_UNUSED FinchMedia *gntmedia, const char *msg,
+                    PurpleConversation *conv)
 {
 	if (PURPLE_IS_IM_CONVERSATION(conv)) {
 		purple_conversation_write_system_message(conv, msg, 0);
@@ -325,8 +331,9 @@
 }
 
 static gboolean
-finch_new_media(PurpleMediaManager *manager, PurpleMedia *media,
-		PurpleAccount *account, gchar *name, gpointer null)
+finch_new_media(G_GNUC_UNUSED PurpleMediaManager *manager, PurpleMedia *media,
+                PurpleAccount *account, gchar *name,
+                G_GNUC_UNUSED gpointer data)
 {
 	GntWidget *gntmedia;
 	PurpleConversation *conv;
@@ -341,8 +348,9 @@
 }
 
 static PurpleCmdRet
-call_cmd_cb(PurpleConversation *conv, const char *cmd, char **args,
-		char **error, gpointer data)
+call_cmd_cb(PurpleConversation *conv, G_GNUC_UNUSED const char *cmd,
+            G_GNUC_UNUSED char **args, G_GNUC_UNUSED char **error,
+            G_GNUC_UNUSED gpointer data)
 {
 	PurpleAccount *account = purple_conversation_get_account(conv);
 
diff --git a/finch/gntnotify.c b/finch/gntnotify.c
--- a/finch/gntnotify.c
+++ b/finch/gntnotify.c
@@ -36,8 +36,9 @@
 
 static void *
 finch_notify_common(PurpleNotifyType ntype, PurpleNotifyMessageType msgtype,
-	const char *title, const char *primary, const char *secondary,
-	PurpleRequestCommonParameters *cpar)
+                    const char *title, const char *primary,
+                    const char *secondary,
+                    G_GNUC_UNUSED PurpleRequestCommonParameters *cpar)
 {
 	GntWidget *window, *button;
 	GntTextFormatFlags pf = 0, sf = 0;
@@ -166,7 +167,7 @@
 }
 
 static void
-remove_userinfo(GntWidget *widget, gpointer key)
+remove_userinfo(G_GNUC_UNUSED GntWidget *widget, gpointer key)
 {
 	g_hash_table_remove(userinfo, key);
 }
@@ -269,8 +270,8 @@
 }
 
 static void
-finch_notify_sr_new_rows(PurpleConnection *gc,
-		PurpleNotifySearchResults *results, void *data)
+finch_notify_sr_new_rows(G_GNUC_UNUSED PurpleConnection *gc,
+                         PurpleNotifySearchResults *results, gpointer data)
 {
 	GntWindow *window = GNT_WINDOW(data);
 	GntTree *tree = GNT_TREE(g_object_get_data(G_OBJECT(window), "tree-widget"));
@@ -289,7 +290,7 @@
 }
 
 static void
-notify_sr_destroy_cb(GntWidget *window, void *data)
+notify_sr_destroy_cb(GntWidget *window, G_GNUC_UNUSED gpointer data)
 {
 	purple_notify_close(PURPLE_NOTIFY_SEARCHRESULTS, window);
 }
diff --git a/finch/gntplugin.c b/finch/gntplugin.c
--- a/finch/gntplugin.c
+++ b/finch/gntplugin.c
@@ -107,7 +107,7 @@
 }
 
 static void
-finch_plugin_info_init(FinchPluginInfo *info)
+finch_plugin_info_init(G_GNUC_UNUSED FinchPluginInfo *info)
 {
 }
 
@@ -216,7 +216,8 @@
 }
 
 static void
-plugin_toggled_cb(GntWidget *tree, PurplePlugin *plugin, gpointer null)
+plugin_toggled_cb(GntWidget *tree, PurplePlugin *plugin,
+                  G_GNUC_UNUSED gpointer data)
 {
 	GError *error = NULL;
 
@@ -251,7 +252,8 @@
 }
 
 static void
-selection_changed(GntWidget *widget, gpointer old, gpointer current, gpointer null)
+selection_changed(GntWidget *widget, G_GNUC_UNUSED gpointer old,
+                  gpointer current, G_GNUC_UNUSED gpointer data)
 {
 	PurplePlugin *plugin = current;
 	const gchar *filename;
@@ -308,7 +310,8 @@
 }
 
 static void
-reset_plugin_window(GntWidget *window, gpointer null)
+reset_plugin_window(G_GNUC_UNUSED GntWidget *window,
+                    G_GNUC_UNUSED gpointer data)
 {
 	GList *list = g_object_get_data(G_OBJECT(plugins.tree), "seen-list");
 	purple_prefs_set_path_list("/finch/plugins/seen", list);
@@ -338,7 +341,7 @@
 }
 
 static void
-remove_confwin(GntWidget *window, gpointer _plugin)
+remove_confwin(G_GNUC_UNUSED GntWidget *window, gpointer _plugin)
 {
 	PurplePlugin *plugin = _plugin;
 	PurplePluginInfo *info = purple_plugin_get_info(plugin);
@@ -353,7 +356,8 @@
 }
 
 static void
-configure_plugin_cb(GntWidget *button, gpointer null)
+configure_plugin_cb(G_GNUC_UNUSED GntWidget *button,
+                    G_GNUC_UNUSED gpointer data)
 {
 	PurplePlugin *plugin;
 	PurplePluginInfo *info;
diff --git a/finch/gntrequest.c b/finch/gntrequest.c
--- a/finch/gntrequest.c
+++ b/finch/gntrequest.c
@@ -73,7 +73,7 @@
 }
 
 static void
-action_performed(GntWidget *button, gpointer data)
+action_performed(G_GNUC_UNUSED GntWidget *button, gpointer data)
 {
 	g_signal_handlers_disconnect_matched(data, G_SIGNAL_MATCH_FUNC,
 			0, 0, NULL,
@@ -139,12 +139,13 @@
 
 static void *
 finch_request_input(const char *title, const char *primary,
-		const char *secondary, const char *default_value,
-		gboolean multiline, gboolean masked, gchar *hint,
-		const char *ok_text, GCallback ok_cb,
-		const char *cancel_text, GCallback cancel_cb,
-		PurpleRequestCommonParameters *cpar,
-		void *user_data)
+                    const char *secondary, const char *default_value,
+                    G_GNUC_UNUSED gboolean multiline, gboolean masked,
+                    G_GNUC_UNUSED gchar *hint, const char *ok_text,
+                    GCallback ok_cb, const char *cancel_text,
+                    GCallback cancel_cb,
+                    G_GNUC_UNUSED  PurpleRequestCommonParameters *cpar,
+                    void *user_data)
 {
 	GntWidget *window, *box, *entry;
 
@@ -195,11 +196,11 @@
 
 static void *
 finch_request_choice(const char *title, const char *primary,
-		const char *secondary, gpointer default_value,
-		const char *ok_text, GCallback ok_cb,
-		const char *cancel_text, GCallback cancel_cb,
-		PurpleRequestCommonParameters *cpar,
-		void *user_data, va_list choices)
+                     const char *secondary, gpointer default_value,
+                     const char *ok_text, GCallback ok_cb,
+                     const char *cancel_text, GCallback cancel_cb,
+                     G_GNUC_UNUSED PurpleRequestCommonParameters *cpar,
+                     void *user_data, va_list choices)
 {
 	GntWidget *window, *combo, *box;
 	const char *text;
@@ -241,10 +242,9 @@
 
 static void*
 finch_request_action(const char *title, const char *primary,
-		const char *secondary, int default_value,
-		PurpleRequestCommonParameters *cpar,
-		void *user_data, size_t actioncount,
-		va_list actions)
+                     const char *secondary, int default_value,
+                     G_GNUC_UNUSED PurpleRequestCommonParameters *cpar,
+                     void *user_data, size_t actioncount, va_list actions)
 {
 	GntWidget *window, *box, *button, *focus = NULL;
 	gsize i;
@@ -391,8 +391,9 @@
 }
 
 static void
-update_selected_account(GntEntry *username, const char *start, const char *end,
-		GntComboBox *accountlist)
+update_selected_account(GntEntry *username, G_GNUC_UNUSED const char *start,
+                        G_GNUC_UNUSED const char *end,
+                        GntComboBox *accountlist)
 {
 	GList *accounts =
 		gnt_tree_get_rows(GNT_TREE(gnt_combo_box_get_dropdown(accountlist)));
@@ -727,7 +728,7 @@
 }
 
 static void
-file_cancel_cb(GntWidget *wid, gpointer fq)
+file_cancel_cb(G_GNUC_UNUSED GntWidget *wid, gpointer fq)
 {
 	FinchFileRequest *data = fq;
 	if (data->dialog == NULL) {
@@ -743,7 +744,8 @@
 }
 
 static void
-file_ok_cb(GntWidget *widget, const char *path, const char *file, gpointer fq)
+file_ok_cb(G_GNUC_UNUSED GntWidget *widget, const char *path, const char *file,
+           gpointer fq)
 {
 	FinchFileRequest *data = fq;
 	char *dir = g_path_get_dirname(path);
@@ -797,8 +799,9 @@
 
 static void *
 finch_request_file(const char *title, const char *filename, gboolean savedialog,
-	GCallback ok_cb, GCallback cancel_cb,
-	PurpleRequestCommonParameters *cpar, void *user_data)
+                   GCallback ok_cb, GCallback cancel_cb,
+                   G_GNUC_UNUSED PurpleRequestCommonParameters *cpar,
+                   void *user_data)
 {
 	FinchFileRequest *data;
 	const char *path;
@@ -816,8 +819,9 @@
 
 static void *
 finch_request_folder(const char *title, const char *dirname, GCallback ok_cb,
-	GCallback cancel_cb, PurpleRequestCommonParameters *cpar,
-	void *user_data)
+                     GCallback cancel_cb,
+                     G_GNUC_UNUSED PurpleRequestCommonParameters *cpar,
+                     gpointer user_data)
 {
 	FinchFileRequest *data;
 
@@ -856,7 +860,9 @@
 {
 }
 
-void finch_request_save_in_prefs(gpointer data, PurpleRequestFields *allfields)
+void
+finch_request_save_in_prefs(G_GNUC_UNUSED gpointer data,
+                            PurpleRequestFields *allfields)
 {
 	GList *list;
 	for (list = purple_request_fields_get_groups(allfields); list; list = list->next) {
diff --git a/finch/gntroomlist.c b/finch/gntroomlist.c
--- a/finch/gntroomlist.c
+++ b/finch/gntroomlist.c
@@ -54,7 +54,7 @@
 typedef struct _FinchRoomlist FinchRoomlist;
 
 static void
-unset_roomlist(gpointer null)
+unset_roomlist(G_GNUC_UNUSED gpointer data)
 {
 	froomlist.window = NULL;
 	g_clear_object(&froomlist.roomlist);
@@ -62,15 +62,15 @@
 	froomlist.tree = NULL;
 }
 
-static void fl_stop(GntWidget *button, gpointer null)
-{
+static void
+fl_stop(G_GNUC_UNUSED GntWidget *button, G_GNUC_UNUSED gpointer data) {
 	if (froomlist.roomlist &&
 			purple_roomlist_get_in_progress(froomlist.roomlist))
 		purple_roomlist_cancel_get_list(froomlist.roomlist);
 }
 
-static void fl_get_list(GntWidget *button, gpointer null)
-{
+static void
+fl_get_list(G_GNUC_UNUSED GntWidget *button, G_GNUC_UNUSED gpointer null) {
 	PurpleAccount *account = gnt_combo_box_get_selected_data(GNT_COMBO_BOX(froomlist.accounts));
 	PurpleConnection *gc = purple_account_get_connection(account);
 
@@ -82,8 +82,8 @@
 	gnt_box_give_focus_to_child(GNT_BOX(froomlist.window), froomlist.tree);
 }
 
-static void fl_add_chat(GntWidget *button, gpointer null)
-{
+static void
+fl_add_chat(G_GNUC_UNUSED GntWidget *button, G_GNUC_UNUSED gpointer data) {
 	char *name;
 	PurpleRoomlistRoom *room = gnt_tree_get_selection_data(GNT_TREE(froomlist.tree));
 	PurpleConnection *gc = purple_account_get_connection(froomlist.account);
@@ -105,7 +105,8 @@
 	g_free(name);
 }
 
-static void fl_close(GntWidget *button, gpointer null)
+static void
+fl_close(G_GNUC_UNUSED GntWidget *button, G_GNUC_UNUSED gpointer null)
 {
 	gnt_widget_destroy(froomlist.window);
 }
@@ -121,7 +122,9 @@
 }
 
 static void
-roomlist_selection_changed(GntWidget *widget, gpointer old, gpointer current, gpointer null)
+roomlist_selection_changed(G_GNUC_UNUSED GntWidget *widget,
+                           G_GNUC_UNUSED gpointer old, gpointer current,
+                           G_GNUC_UNUSED gpointer data)
 {
 	PurpleRoomlistRoom *room = current;
 	GntTextView *tv = GNT_TEXT_VIEW(froomlist.details);
@@ -137,7 +140,9 @@
 }
 
 static void
-roomlist_account_changed(GntWidget *widget, gpointer old, gpointer current, gpointer null)
+roomlist_account_changed(G_GNUC_UNUSED GntWidget *widget,
+                         G_GNUC_UNUSED gpointer old, gpointer current,
+                         G_GNUC_UNUSED gpointer data)
 {
 	if (froomlist.account == current) {
 		return;
@@ -155,7 +160,7 @@
 }
 
 static void
-reset_account_list(PurpleAccount *account)
+reset_account_list(G_GNUC_UNUSED PurpleAccount *account)
 {
 	GList *list;
 	GntComboBox *accounts = GNT_COMBO_BOX(froomlist.accounts);
@@ -182,7 +187,8 @@
 }
 
 static void
-size_changed_cb(GntWidget *widget, int oldw, int oldh)
+size_changed_cb(GntWidget *widget, G_GNUC_UNUSED int oldw,
+                G_GNUC_UNUSED int oldh)
 {
 	int w, h;
 	gnt_widget_get_size(widget, &w, &h);
@@ -293,7 +299,7 @@
 }
 
 static void
-fl_set_fields(PurpleRoomlist *list, GList *fields)
+fl_set_fields(G_GNUC_UNUSED PurpleRoomlist *list, G_GNUC_UNUSED GList *fields)
 {
 }
 
diff --git a/finch/gntstatus.c b/finch/gntstatus.c
--- a/finch/gntstatus.c
+++ b/finch/gntstatus.c
@@ -65,7 +65,8 @@
 static GList *edits;  /* List of opened edit-status dialogs */
 
 static void
-reset_status_window(GntWidget *widget, gpointer null)
+reset_status_window(G_GNUC_UNUSED GntWidget *widget,
+                    G_GNUC_UNUSED gpointer data)
 {
 	statuses.window = NULL;
 	statuses.tree = NULL;
@@ -115,7 +116,8 @@
 }
 
 static void
-ask_before_delete(GntWidget *button, gpointer null)
+ask_before_delete(G_GNUC_UNUSED GntWidget *button,
+                  G_GNUC_UNUSED gpointer data)
 {
 	char *ask;
 	PurpleSavedStatus *saved;
@@ -134,7 +136,8 @@
 }
 
 static void
-use_savedstatus_cb(GntWidget *widget, gpointer null)
+use_savedstatus_cb(G_GNUC_UNUSED GntWidget *widget,
+                   G_GNUC_UNUSED gpointer data)
 {
 	g_return_if_fail(statuses.tree != NULL);
 
@@ -142,7 +145,8 @@
 }
 
 static void
-edit_savedstatus_cb(GntWidget *widget, gpointer null)
+edit_savedstatus_cb(G_GNUC_UNUSED GntWidget *widget,
+                    G_GNUC_UNUSED gpointer data)
 {
 	g_return_if_fail(statuses.tree != NULL);
 
@@ -212,13 +216,14 @@
 }
 
 static void
-destroy_substatus_win(PurpleAccount *account, EditSubStatus *sub, gpointer null)
+destroy_substatus_win(G_GNUC_UNUSED PurpleAccount *account, EditSubStatus *sub,
+                      G_GNUC_UNUSED gpointer data)
 {
 	gnt_widget_destroy(sub->window);   /* the "destroy" callback will remove entry from the hashtable */
 }
 
 static void
-free_key(gpointer key, gpointer n)
+free_key(gpointer key, G_GNUC_UNUSED gpointer n)
 {
 	RowInfo *row = key;
 	g_free(row->message);
@@ -227,7 +232,7 @@
 
 
 static void
-update_edit_list(GntWidget *widget, EditStatus *edit)
+update_edit_list(G_GNUC_UNUSED GntWidget *widget, EditStatus *edit)
 {
 	edits = g_list_remove(edits, edit);
 	purple_notify_close_with_handle(edit);
@@ -250,7 +255,7 @@
 
 
 static void
-use_trans_status_cb(GntWidget *button, EditStatus *edit)
+use_trans_status_cb(G_GNUC_UNUSED GntWidget *button, EditStatus *edit)
 {
 	const char *message;
 	PurpleStatusPrimitive prim;
@@ -376,14 +381,14 @@
 }
 
 static void
-substatus_window_destroy_cb(GntWidget *window, EditSubStatus *sub)
+substatus_window_destroy_cb(G_GNUC_UNUSED GntWidget *window, EditSubStatus *sub)
 {
 	g_hash_table_remove(sub->parent->hash, sub->key->account);
 	g_free(sub);
 }
 
 static void
-save_substatus_cb(GntWidget *widget, EditSubStatus *sub)
+save_substatus_cb(G_GNUC_UNUSED GntWidget *widget, EditSubStatus *sub)
 {
 	PurpleSavedStatus *saved = sub->parent->saved;
 	RowInfo *row = sub->key;
diff --git a/finch/gntxfer.c b/finch/gntxfer.c
--- a/finch/gntxfer.c
+++ b/finch/gntxfer.c
@@ -116,7 +116,7 @@
  * Callbacks
  **************************************************************************/
 static void
-toggle_keep_open_cb(GntWidget *w)
+toggle_keep_open_cb(G_GNUC_UNUSED GntWidget *w)
 {
 	xfer_dialog->keep_open = !xfer_dialog->keep_open;
 	purple_prefs_set_bool("/finch/filetransfer/keep_open",
@@ -124,7 +124,7 @@
 }
 
 static void
-toggle_clear_finished_cb(GntWidget *w)
+toggle_clear_finished_cb(G_GNUC_UNUSED GntWidget *w)
 {
 	xfer_dialog->auto_clear = !xfer_dialog->auto_clear;
 	purple_prefs_set_bool("/finch/filetransfer/clear_finished",
@@ -141,7 +141,7 @@
 }
 
 static void
-remove_button_cb(GntButton *button)
+remove_button_cb(G_GNUC_UNUSED GntButton *button)
 {
 	PurpleXfer *selected_xfer = gnt_tree_get_selection_data(GNT_TREE(xfer_dialog->tree));
 	if (selected_xfer && (purple_xfer_is_completed(selected_xfer) ||
@@ -151,7 +151,7 @@
 }
 
 static void
-stop_button_cb(GntButton *button)
+stop_button_cb(G_GNUC_UNUSED GntButton *button)
 {
 	PurpleXfer *selected_xfer = gnt_tree_get_selection_data(GNT_TREE(xfer_dialog->tree));
 	PurpleXferStatus status;
diff --git a/finch/libfinch.c b/finch/libfinch.c
--- a/finch/libfinch.c
+++ b/finch/libfinch.c
@@ -40,7 +40,7 @@
 #include "package_revision.h"
 
 static gboolean
-start_with_debugwin(gpointer null)
+start_with_debugwin(G_GNUC_UNUSED gpointer data)
 {
 	finch_debug_window_show();
 	return FALSE;
@@ -69,7 +69,7 @@
 }
 
 static int
-init_libpurple(int argc, char **argv)
+init_libpurple(G_GNUC_UNUSED int argc, char **argv)
 {
 	gboolean opt_nologin = FALSE;
 	gboolean opt_version = FALSE;
